package com.bonus.material.iot.mapper;

import java.util.List;
import com.bonus.material.iot.domain.IotMachine;

/**
 * 设备管理Mapper接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface IotMachineMapper {
    /**
     * 查询设备管理
     * 
     * @param id 设备管理主键
     * @return 设备管理
     */
    public IotMachine selectIotMachineById(Long id);

    /**
     * 查询设备管理列表
     * 
     * @param iotMachine 设备管理
     * @return 设备管理集合
     */
    public List<IotMachine> selectIotMachineList(IotMachine iotMachine);

    /**
     * 新增设备管理
     * 
     * @param iotMachine 设备管理
     * @return 结果
     */
    public int insertIotMachine(IotMachine iotMachine);

    /**
     * 修改设备管理
     * 
     * @param iotMachine 设备管理
     * @return 结果
     */
    public int updateIotMachine(IotMachine iotMachine);

    /**
     * 删除设备管理
     * 
     * @param id 设备管理主键
     * @return 结果
     */
    public int deleteIotMachineById(Long id);

    /**
     * 批量删除设备管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIotMachineByIds(Long[] ids);
}
